#!/bin/bash

if [ "$1" = "i" ]
then
	kubectl apply -f ./preparaMediawiki/mw-namespace.yaml
	kubectl apply -f ./preparaMediawiki/pv-local-mysql-mw.yaml
	kubectl apply -f ./preparaMediawiki/pv-local-mediawiki.yaml
	helm install mediawiki mediawiki-chart/
else
	helm uninstall mediawiki 
	kubectl delete -f ./preparaMediawiki/mw-namespace.yaml
	kubectl delete -f ./preparaMediawiki/pv-local-mysql-mw.yaml
	kubectl delete -f ./preparaMediawiki/pv-local-mediawiki.yaml
fi
